	list p=16f84a
	include p16f84a.inc

	__config _CP_OFF & _WDT_OFF & _PWRTE_ON & _RC_OSC

	org 0x00
reset:
	clrf PCLATH
	goto start

	org 0x04
interrupt:
	retfie

Ctr	equ 0x0c
Cur	equ 0x0d

start:
	bsf STATUS, RP0
	clrf TRISA
	bcf STATUS, RP0

	movlw 0xff
	movwf Cur
	movwf PORTA
	
again:
	movfw Cur
	xorlw 0x1f
	movwf Cur
	movwf PORTA
	movlw 0xff
	movwf Ctr
waiting:
	decfsz Ctr, F
	goto waiting
	goto again
	goto again

	end
	