	;; For PIC 16F84A
	list p=16f84a
	include p16f84a.inc
	radix dec

	;; Power-up timer, no watchdog timer
	;; RC oscillator mode
	__config 0xff03

x	equ 0x0c
	
	org 0
reset
	goto start
	
	org 4
interrupt
	retfie

start
	;; A0, A2, A3 in; A1 out
	banksel	1
	movlw	0x0d
	movwf	TRISA
	banksel	0

again
	movlw	0x00
	movwf	PORTA
	goto again

; again
; 	movf	PORTA, w
; 	andlw	0x01
; 	movwf	x
; 	rlf	x, f
; 	movf	x, w
; 	movwf	PORTA
; 	goto	again

	end
